Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class WTLSCertificate

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.objects.Object
            |
            +--iaik.pkcs.pkcs11.objects.Storage
                  |
                  +--iaik.pkcs.pkcs11.objects.Certificate
                        |
                        +--iaik.pkcs.pkcs11.objects.WTLSCertificate

All Implemented Interfaces:
  java.lang.Cloneable

public class WTLSCertificate
extends Certificate

Objects of this class represent WTLS public key certificates as specified by PKCS#11 v2.20 Chap. 10.6.4.

Version:
  1.0
Author:
  Florian Reimair

Inner classes inherited from class iaik.pkcs.pkcs11.objects.Certificate
`Certificate.CertificateType, Certificate.VendorDefinedCertificateBuilder`

Inner classes inherited from class iaik.pkcs.pkcs11.objects.Object
`Object.ObjectClass, Object.VendorDefinedObjectBuilder`

Field Summary
`protected ByteArrayAttribute` | `hashOfIssuerPublicKey_` SHA-1 hash of the issuer public key.
`protected ByteArrayAttribute` | `hashOfSubjectPublicKey_` SHA-1 hash of the subject public key.
`protected ByteArrayAttribute` | `issuer_` The issuer attribute of this certificate.
`protected ByteArrayAttribute` | `subject_` The subject attribute of this certificate.
`protected CharArrayAttribute` | `url_` This attribute gives the URL where the complete certificate can be obtained.
`protected ByteArrayAttribute` | `value_` The value attribute of this certificate; i.e.

Fields inherited from class iaik.pkcs.pkcs11.objects.Certificate
`certificateCategory_, certificateType_, checkValue_, endDate_, startDate_, trusted_, vendorCertificateBuilder_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Storage
`label_, modifiable_, private_, token_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Object
`attributeTable_, objectClass_, objectClassNames_, objectHandle_, vendorObjectBuilder_`

Constructor Summary
`` | `WTLSCertificate()` Deafult Constructor.
`protected` | `WTLSCertificate(Session session, long objectHandle)` Called by getInstance to create an instance of a PKCS#11 WTLS public key certificate.

Method Summary
`protected void` | `allocateAttributes()` Allocates the attribute objects for this class and adds them to the attribute table.
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`ByteArrayAttribute` | `getHashOfIssuerPublicKey()` Gets the hash of issuer public key attribute of this WTLS public key certificate.
`ByteArrayAttribute` | `getHashOfSubjectPublicKey()` Gets the hash of subject public key attribute of this WTLS public key certificate.
`static Object` | `getInstance(Session session, long objectHandle)` The getInstance method of the Certificate class uses this method to create an instance of a PKCS#11 WTLS public key certificate.
`ByteArrayAttribute` | `getIssuer()` Gets the issuer attribute of this WTLS public key certificate.
`ByteArrayAttribute` | `getSubject()` Gets the subject attribute of this WTLS public key certificate.
`CharArrayAttribute` | `getUrl()` Get the URL attribute of this object.
`ByteArrayAttribute` | `getValue()` Gets the value attribute of this WTLS public key certificate.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`protected static void` | `putAttributesInTable(WTLSCertificate object)` Put all attributes of the given object into the attributes table of this object.
`void` | `readAttributes(Session session)` Read the values of the attributes of this object from the token.
`java.lang.String` | `toString()` This method returns a string representation of the current object.

Methods inherited from class iaik.pkcs.pkcs11.objects.Certificate
`getCertificateCategory, getCertificateType, getCertificateTypeName, getCheckValue, getEndDate, getStartDate, getTrusted, getUnknownCertificate, getVendorDefinedCertificateBuilder, putAttributesInTable, setVendorDefinedCertificateBuilder`

Methods inherited from class iaik.pkcs.pkcs11.objects.Storage
`getLabel, getModifiable, getPrivate, getToken, putAttributesInTable`

Methods inherited from class iaik.pkcs.pkcs11.objects.Object
`getAttributeTable, getAttributeValue, getAttributeValues, getObjectClass, getObjectClassName, getObjectHandle, getSetAttributes, getSetAttributes, getUnknownObject, getVendorDefinedObjectBuilder, putAttributesInTable, setObjectHandle, setVendorDefinedObjectBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### subject_

    protected ByteArrayAttribute subject_

  The subject attribute of this certificate.

### issuer_

    protected ByteArrayAttribute issuer_

  The issuer attribute of this certificate.

### value_

    protected ByteArrayAttribute value_

  The value attribute of this certificate; i.e. BER-encoded certificate.

### url_

    protected CharArrayAttribute url_

  This attribute gives the URL where the complete certificate can be obtained.

### hashOfSubjectPublicKey_

    protected ByteArrayAttribute hashOfSubjectPublicKey_

  SHA-1 hash of the subject public key.

### hashOfIssuerPublicKey_

    protected ByteArrayAttribute hashOfIssuerPublicKey_

  SHA-1 hash of the issuer public key.

Constructor Detail

### WTLSCertificate

    public WTLSCertificate()

  Deafult Constructor.

### WTLSCertificate

    protected WTLSCertificate(Session session,
                              long objectHandle)
                       throws TokenException

  Called by getInstance to create an instance of a PKCS#11 WTLS public key certificate.
  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Throws:
    `TokenException` - If getting the attributes failed.

Method Detail

### getInstance

    public static Object getInstance(Session session,
                                     long objectHandle)
                              throws TokenException

  The getInstance method of the Certificate class uses this method to create an instance of a PKCS#11 WTLS public key certificate.
  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Returns:
    The object representing the PKCS#11 object. The returned object can be casted to the according sub-class.
  Throws:
    `TokenException` - If getting the attributes failed.

### putAttributesInTable

    protected static void putAttributesInTable(WTLSCertificate object)

  Put all attributes of the given object into the attributes table of this object. This method is only static to be able to access invoke the implementation of this method for each class separately (see use in clone()).
  Parameters:
    `object` - The object to handle.

### allocateAttributes

    protected void allocateAttributes()

  Allocates the attribute objects for this class and adds them to the attribute table.
  Overrides:
    `allocateAttributes` in class `Certificate`

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `Certificate`
  Returns:
    A clone of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `Certificate`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### getSubject

    public ByteArrayAttribute getSubject()

  Gets the subject attribute of this WTLS public key certificate.
  Returns:
    The subject attribute of this WTLS public key certificate.

### getIssuer

    public ByteArrayAttribute getIssuer()

  Gets the issuer attribute of this WTLS public key certificate.
  Returns:
    The issuer attribute of this WTLS public key certificate.

### getValue

    public ByteArrayAttribute getValue()

  Gets the value attribute of this WTLS public key certificate.
  Returns:
    The value attribute of this WTLS public key certificate.

### getUrl

    public CharArrayAttribute getUrl()

  Get the URL attribute of this object.
  Returns:
    Contains the URL as a char array.

### getHashOfSubjectPublicKey

    public ByteArrayAttribute getHashOfSubjectPublicKey()

  Gets the hash of subject public key attribute of this WTLS public key certificate.
  Returns:
    The hash of subject public key attribute of this WTLS public key certificate.

### getHashOfIssuerPublicKey

    public ByteArrayAttribute getHashOfIssuerPublicKey()

  Gets the hash of issuer public key attribute of this WTLS public key certificate.
  Returns:
    The hash of issuer public key attribute of this WTLS public key certificate.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `Certificate`
  Returns:
    The hash code of this object.

### readAttributes

    public void readAttributes(Session session)
                        throws TokenException

  Read the values of the attributes of this object from the token.
  Overrides:
    `readAttributes` in class `Certificate`
  Parameters:
    `session` - The session handle to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
  Throws:
    `TokenException` - If getting the attributes failed.

### toString

    public java.lang.String toString()

  This method returns a string representation of the current object. The output is only for debugging purposes and should not be used for other purposes.
  Overrides:
    `toString` in class `Certificate`
  Returns:
    A string presentation of this object for debugging output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18